commit: 7409655e3a8d4991fe41abe1d20acd87b1b5b9f4
Author: Robert Günzler <r <AT> gnzler <DOT> io>
AuthorDate: Fri Jul 17 16:09:24 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Aug 5 12:18:42 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7409655e
app-emulation/crun: Bump to 0.14.1
Signed-off-by: Robert Günzler <r <AT> gnzler.io>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
app-emulation/crun/Manifest | 2 +
app-emulation/crun/crun-0.14.1.ebuild | 79 +++++++++++++++++++++++++++++++++++
app-emulation/crun/metadata.xml | 1 +
3 files changed, 82 insertions(+)
diff --git a/app-emulation/crun/Manifest b/app-emulation/crun/Manifest
index 24ebd99e11b..db514cf9c50 100644
--- a/app-emulation/crun/Manifest
+++ b/app-emulation/crun/Manifest
@@ -1 +1,3 @@
DIST crun-0.13.tar.gz 1305048 BLAKE2B
fbffabf4cfc744522147b47c5e2bf2bc48e074866108ec4ec8ab94e7ebdc39451851696fabde268b5853e1c3fafb0ac93527e08fdb766acebdd7cf952a9e1a9e
SHA512
314612eaf3097160e9369b3400ac8a83e173ef1a53295191c925e96212ba00d032883db1e4615b8ba42ddb08f1e31ca5e5088ea583a469835ac3c27087a88d6e
+DIST crun-0.14.1.tar.gz 1341891 BLAKE2B
c20d5001161e298050ddca859fa78487fe3f8577ef0b06eb5515056f19ba4f981debeb684148de49111a0370b9bafb7f6454d65f7ecf087862c697a162c9b377
SHA512
420f1713653cbd17df83b2a63d163aaa41baf78115b093877a2241305e10b2ceeaf08ea6700658eca894729ff8a20cbc66f868d18d27fba3fbedf1a9993b122e
+DIST libcrun.lds 257 BLAKE2B
00e7cdf3162ea0b7231dbb9037b192bcf5ffa83316e1aa60268560bc9fe8302be351c405861f9dfc06620ea64561a9226f58b7133039c0af1299dc4088b98272
SHA512
0e9b836c79ee4ad7ff33c592eca8ff41f38aed588f2f5a2416bed82efa819cd4c61ad65a2dfd11a37838a19d950688b1d5adb3b75841963dbb589536e8a867f7
diff --git a/app-emulation/crun/crun-0.14.1.ebuild
b/app-emulation/crun/crun-0.14.1.ebuild
new file mode 100644
index 00000000000..afa4cc5bdb2
--- /dev/null
+++ b/app-emulation/crun/crun-0.14.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit autotools python-any-r1
+
+DESCRIPTION="A fast and low-memory footprint OCI Container Runtime fully
written in C"
+HOMEPAGE="https://github.com/containers/crun"
+SRC_URI="https://github.com/containers/${PN}/releases/download/${PV}/${P}.tar.gz
+ https://github.com/containers/${PN}/raw/${PV}/libcrun.lds"
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="bpf +caps man seccomp systemd static-libs"
+
+DEPEND="
+ dev-libs/yajl
+ caps? ( sys-libs/libcap )
+ seccomp? ( sys-libs/libseccomp )
+ systemd? ( sys-apps/systemd:= )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ ${PYTHON_DEPS}
+ man? ( dev-go/go-md2man )
+"
+
+# the crun test suite is comprehensive to the extent that tests will fail
+# within a sandbox environment, due to the nature of the privileges
+# required to create linux "containers".
+RESTRICT="test"
+
+DOCS=( README.md )
+
+src_unpack() {
+ # dont' try to unpack the .lds file
+ A=( ${A[@]/libcrun.lds} )
+ unpack ${A}
+}
+
+src_prepare() {
+ default
+ eautoreconf
+ cp -v ${DISTDIR}/libcrun.lds ${S}/ || die "libcrun.lds could not be
copied"
+}
+
+src_configure() {
+ local myeconfargs=(
+ --disable-criu \
+ $(use_enable bpf) \
+ $(use_enable caps) \
+ $(use_enable seccomp) \
+ $(use_enable systemd) \
+ $(usex static-libs '--enabled-shared --enabled-static'
'--enable-shared --disable-static' '' '')
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ emake -C libocispec
+ emake crun
+ if use man ; then
+ emake generate-man
+ fi
+}
+
+src_install() {
+ emake "DESTDIR=${D}" install-exec
+ if use man ; then
+ emake "DESTDIR=${D}" install-man
+ fi
+
+ einstalldocs
+}
diff --git a/app-emulation/crun/metadata.xml b/app-emulation/crun/metadata.xml
index 4564ac52598..1ce63174e0f 100644
--- a/app-emulation/crun/metadata.xml
+++ b/app-emulation/crun/metadata.xml
@@ -26,5 +26,6 @@
<flag name="bpf">Enable in Kernel, eBPF (enhanced Berkley
Packet Filter)
support for managing device controllers.
</flag>
+ <flag name="man">Build and install man pages</flag>
</use>
</pkgmetadata>